<?php

/************************************************************************/
/* Eleonline - Raccolta e diffusione dei dati elettorali                */
/* by Roberto Gigli & Luciano Apolito                                   */
/* http://www.eleonline.it                                              */
/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
/************************************************************************/
/* Modulo Controllo dei voti                                            */
/* Amministrazione                                                      */
/************************************************************************/

if (!defined('ADMIN_FILE')) {
    die ("You can't access this file directly...");
}

$aid=$_SESSION['aid'];
$dbi=$_SESSION['dbi'];
$prefix=$_SESSION['prefix'];
$currentlang=$_SESSION['lang'];
$id_comune=$_SESSION['id_comune'];
$id_cons_gen=$_GET['id_cons_gen'];
$bgcolor1=$_SESSION['bgcolor1'];
$bgcolor2=$_SESSION['bgcolor2'];

$perms=ChiSei($id_cons_gen);
if ($perms<16 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
$res = mysql_query("SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' " , $dbi);
	list($genere,$votog,$votol) = mysql_fetch_row($res);

include("modules/Elezioni/funzionidata.php");
include("modules/Elezioni/ele.php");
if (! get_magic_quotes_gpc()) $magic='addslashes'; else $magic='';
if (isset($param['ops'])) get_magic_quotes_gpc() ? $ops=$param['ops']:$ops=addslashes($param['ops']); else $ops='';
if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
if (isset($param['num_refs'])) $num_refs=intval($param['num_refs']);
ele();
//**************************************************************************
//        ELE
//**************************************************************************
 
global $prefix, $dbi,$fascia,$limite,$genere,$votog;


if($genere!=0){	
	$res = mysql_query("SELECT t1.id_gruppo,sum(t1.voti),sum(t1.solo_gruppo) FROM ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' group by t1.id_gruppo order by t2.num_gruppo", $dbi);
	####################### inserimento scrutinio in percentuale -- per i gruppi
	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE validi <>0 AND id_cons ='$id_cons'",$dbi);
	$NicolaSezScrut = mysql_fetch_row($NicolaSez);
	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE id_cons ='$id_cons'",$dbi);
	$NicolaSezTot = mysql_fetch_row($NicolaSez);
	
		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
		list($totschede)=mysql_fetch_row($resperc);
		if($totschede)
		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
		else $grpercscru=0;

################# calcolo voti di lista espressi
         $resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);

		if($totschede)
		$listpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
		else $listpercscru=0;
		$listtotschede=$totschede;
		$listtotvoti=($scruvalidi+$scrunulli);

#################
	echo "<table border=\"1\" cellpadding=\"5\"><tr align=\"middle\"><th colspan=\"5\">Riepilogo dei voti per gruppo e liste collegate</th></tr>";
	echo "<tr align=\"middle\"><td colspan=\"3\"><b>Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</b></td><td colspan=\"2\"><b>Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</b></td></tr>";
	echo "<tr align=\"middle\"><td><b>Candidato Uninominale</b></td><td><b>Voti</b></td><td><b>Al solo</br>Candidato Uninominale</b></td><td><b>Lista</br>Collegata</b></td><td><b>Voti alla lista</b></td></tr>";
	$totl=0;$totg=0;$totsg=0;
	while(list($id_gruppo,$votigruppo,$sologruppo)=mysql_fetch_row($res))
	{
		$totg+=$votigruppo; $totsg+=$sologruppo;
		$resl = mysql_query("SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' group by id_lista order by num_lista", $dbi);
		$numliste=mysql_num_rows($resl);
		$resg2 = mysql_query("SELECT num_gruppo,descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
		list($num_gruppo,$descrg)=mysql_fetch_row($resg2);

		echo "<tr><td rowspan=\"$numliste\">$descrg</td><td rowspan=\"$numliste\" align=\"right\"><h2>".number_format($votigruppo,0,',','.')."</h2></td><td rowspan=\"$numliste\" align=\"right\"><h2>".number_format($sologruppo,0,',','.')."</h2></td>";
		$currlst=0;
		while (list($id_lista,$num_lista,$descrl)=mysql_fetch_row($resl))
		{
			$resl2 = mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista'", $dbi);
			list($votilista)=mysql_fetch_row($resl2);
			if($currlst) echo "<tr>"; else $currlst++;
			$totl+=$votilista;
			echo "<td>$num_lista) $descrl</td><td align=\"right\"><h2>".number_format($votilista,0,',','.')."</h2></td></tr>";
		}
	}
	echo "<tr><td><b>Totale</b></td><td align=\"right\"><h1>".number_format($totg,0,',','.')."</h1></td><td align=\"right\"><h1>".number_format($totsg,0,',','.')."</h1></td><td></td><td align=\"right\"><h1>".number_format($totl,0,',','.')."</h1></td></tr>";
	echo "</table></br>";
	
}	
	
echo "</table>";	

#	if ($votog) echo "<fieldset><legend>"._VOTI_LISTA."</legend>";
#	else echo "<fieldset><legend>"._GRUPPO."</legend>";


   include ("footer.php");

?>
